# IntlChar::isgraph

(PHP 7)

IntlChar::isgraph — Check if code point is a graphic character

### Description

public static IntlChar::isgraph ( mixed `$codepoint` ) : bool

Determines whether the specified code point is a "graphic" character (printable, excluding spaces).

`TRUE` for all characters except those with general categories "Cc" (control codes), "Cf" (format controls), "Cs" (surrogates), "Cn" (unassigned), and "Z" (separators).

### Parameters

`codepoint`

  The integer codepoint value (e.g. 0x2603 for U+2603 SNOWMAN), or the character encoded as a UTF-8 string (e.g. "\u{2603}")

### Return Values

Returns `TRUE` if `codepoint` is a "graphic" character, `FALSE` if not.

### Examples

Example #1 Testing different code points

`<?php
var_dump(IntlChar::isgraph("A"));
var_dump(IntlChar::isgraph("1"));
var_dump(IntlChar::isgraph("\u{2603}"));
var_dump(IntlChar::isgraph("\n"));
?>`

The above example will output:

    bool(true)
    bool(true)
    bool(true)
    bool(false)